"use strict";

module.exports.isAllCapitals = function isAllCapitals(word) {
    return (/^[A-Z]+$/.test(word)
    );
};

var expandOneWordToAcronym = function expandOneWordToAcronym(CapitalWord) {
    var acronym = CapitalWord.charAt(0);
    var restWord = CapitalWord.slice(1);
    var lastCapitalChar = null;
    for (var i = 0; i < restWord.length; i++) {
        var char = restWord.charAt(i);
        if (/[A-Z]/.test(char)) {
            lastCapitalChar = char;
        } else {
            if (lastCapitalChar) {
                acronym += lastCapitalChar;
                lastCapitalChar = null;
            }
        }
    }
    return acronym;
};
/**
 * Capital Word to Acronym
 * @param {string} CapitalWord
 * @returns {string} return Acronym
 */
module.exports.expandOneWordToAcronym = expandOneWordToAcronym;

/*
 * create Acronym from words.
 * @param words
 * @returns {string}
 * @example XMLHttpRequest -> XHR
 * @example World Health Organization -> WHO
 */
var expandWordsToAcronym = function expandWordsToAcronym(words) {
    if (words.length === 1) {
        return expandOneWordToAcronym(words[0]);
    }
    // World Health Organization -> WHO
    return words.reduce(function (acronym, word) {
        acronym += word.charAt(0);
        return acronym;
    }, "");
};
module.exports.expandWordsToAcronym = expandWordsToAcronym;
//# sourceMappingURL=word-utils.js.map